FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Scheduled Payments

Get scheduled payment information from the Fiskil API.

AI Actions

The Scheduled Payments endpoint provides information about future scheduled payments on an end user's accounts.

Endpoints

MethodEndpointDescription
GET/v1/scheduled-paymentsGet scheduled payments for an end user

The Scheduled Payment Model

AttributeTypeDescription
idstringUnique identifier for the scheduled payment
account_idstringID of the source account
payee_referencestringReference or description for the payment
amountnumberPayment amount
currencystringCurrency code
frequencystringPayment frequency
next_payment_datestringDate of the next scheduled payment
statusstringStatus of the scheduled payment

Example Response

{
  "id": "sp_123",
  "account_id": "acc_123456789",
  "payee_reference": "Rent Payment",
  "amount": 1500.00,
  "currency": "AUD",
  "frequency": "MONTHLY",
  "next_payment_date": "2023-02-01",
  "status": "ACTIVE"
}

Get Scheduled Payments

Retrieve scheduled payment information for an end user.

GET https://api.fiskil.com/v1/scheduled-payments

Query Parameters

ParameterTypeRequiredDescription
end_user_idstringYesThe ID of the end user
account_idstringNoFilter by specific account ID

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/scheduled-payments?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5' \
  --header 'Authorization: Bearer {access_token}' \
  --header 'accept: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/scheduled-payments?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer {access_token}',
      'accept': 'application/json; charset=UTF-8'
    }
  }
);

const scheduledPayments = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/scheduled-payments',
    params={'end_user_id': '482c0e2b-5866-46b1-b795-220b7bba45b5'},
    headers={
        'Authorization': 'Bearer {access_token}',
        'accept': 'application/json; charset=UTF-8'
    }
)

scheduled_payments = response.json()

Example Response

{
  "data": [
    {
      "id": "sp_123",
      "account_id": "acc_123456789",
      "payee_reference": "Rent Payment",
      "amount": 1500.00,
      "currency": "AUD",
      "frequency": "MONTHLY",
      "next_payment_date": "2023-02-01",
      "status": "ACTIVE"
    },
    {
      "id": "sp_456",
      "account_id": "acc_123456789",
      "payee_reference": "Car Loan",
      "amount": 450.00,
      "currency": "AUD",
      "frequency": "FORTNIGHTLY",
      "next_payment_date": "2023-01-20",
      "status": "ACTIVE"
    }
  ]
}

Payment Frequencies

FrequencyDescription
WEEKLYEvery week
FORTNIGHTLYEvery two weeks
MONTHLYEvery month
QUARTERLYEvery three months
ANNUALLYEvery year
ONE_OFFSingle scheduled payment

Related Endpoints

  • Accounts - Get account details
  • Direct Debits - Get direct debit arrangements
  • Payee - Get payee information

Was this page helpful?

ProductsService Points

On this page

EndpointsThe Scheduled Payment ModelExample ResponseGet Scheduled PaymentsQuery ParametersExample RequestExample ResponsePayment FrequenciesRelated Endpoints